﻿//
// ConsoleAppCSharp
//
// Copyright (c) 2021 https://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

using System;
using System.IO;


try
{
    File.Copy("D:\\test\\test.txt", "D:\\test\\test.copy.txt");
    Console.WriteLine($"コピーが完了しました。");
} 
catch (UnauthorizedAccessException ex)
{
    Console.WriteLine($"必要なアクセス許可がありません。({ex.Message})");
}
catch (ArgumentNullException ex)
{
    Console.WriteLine($"ファイル名がnullです。({ex.Message})");
}
catch (ArgumentException ex)
{
    Console.WriteLine($"ファイル名の形式が正しくありません。({ex.Message})");
}
catch (PathTooLongException ex)
{
    Console.WriteLine($"ファイル名が長すぎます。({ex.Message})");
}
catch (DirectoryNotFoundException ex)
{
    Console.WriteLine($"パスが無効です。({ex.Message})");
}
catch (FileNotFoundException ex)
{
    Console.WriteLine($"コピー対象のファイルがありません。({ex.Message})");
}
catch (IOException ex)
{
    Console.WriteLine($"既にコピー先のファイルが存在するか、I/O エラーが発生しました。({ex.Message})");
}
catch (NotSupportedException ex)
{
    Console.WriteLine($"ファイル名の形式が正しくありません。({ex.Message})");
}
catch (Exception ex)
{
    Console.WriteLine($"予期せぬエラーが発生しました。({ex.Message})");
}
